%h3.page-title
  = t("profiles.notifications.notification_settings")
%p.light
  = t("profiles.notifications.gitlab_uses_email_from_profile")
%hr
= form_tag profile_notifications_path, method: :put, remote: true, class: 'update-notifications form-horizontal global-notifications-form' do
  = hidden_field_tag :notification_type, 'global'

  = label_tag :notification_level, t("profiles.notifications.notification_level"), class: 'control-label'
  .col-sm-10
    .radio
      = label_tag nil, class: '' do
        = radio_button_tag :notification_level, Notification::N_DISABLED, @notification.disabled?, class: 'trigger-submit'
        .level-title
          = t("profiles.notifications.disabled")
        %p
          = t("profiles.notifications.will_not_get_notifications_via_email")

    .radio
      = label_tag nil, class: '' do
        = radio_button_tag :notification_level, Notification::N_PARTICIPATING, @notification.participating?, class: 'trigger-submit'
        .level-title
          = t("profiles.notifications.participating")
        %p
          = t("profiles.notifications.will_receive_notifications_form_related_issues")

    .radio
      = label_tag nil, class: '' do
        = radio_button_tag :notification_level, Notification::N_WATCH, @notification.watch?, class: 'trigger-submit'
        .level-title
          = t("profiles.notifications.watch")
        %p
          = t("profiles.notifications.will_receive_all_notifications_from_projects")

.clearfix
  %hr
  %p
    = t("profiles.notifications.can_specify_notification_level")
    %br
    = t("profiles.notifications.default_level")
.row.all-notifications
  .col-md-6
    %h4
      = t("profiles.notifications.groups")
    %ul.bordered-list
      - @users_groups.each do |users_group|
        - notification = Notification.new(users_group)
        = render 'settings', type: 'group', membership: users_group, notification: notification

  .col-md-6
    %h4
      = t("profiles.notifications.projects")
    %ul.bordered-list
      - @users_projects.each do |users_project|
        - notification = Notification.new(users_project)
        = render 'settings', type: 'project', membership: users_project, notification: notification
